MAN(1)

NAMA
man - an interface to the system reference manuals

RINGKASAN
man [man options] [[section] page ...] ...
man -k [apropos options] regexp ...
man -K [man options] [section] term ...
man -f [whatis options] page ...
man -l [man options] file ...
man -w|-W [man options] page ...

DESKRIPSI
man is the system's manual pager. Each page argument given to man is normally the name of a program, utility or function. The manual page associated with each of these arguments is then found and displayed. A section, if provided, will direct man to look only in that section of the manual. The default action is to search in all of the available sections following a pre-defined order (see DEFAULTS), and to show only the first page found, even if page exists in several sections.

Tabel dibawah memperlihatkan bagian jumlah dari buku panduan diikuti oleh tipe dari halaman yang mereka isi.

1 | Aplikasi dapat dijalankan atau perintah shell
2 | Panggilan sistem (fungsi yang disediakan oleh kernel)
3 | Panggilan perpustakaan (fungsi yang ada dalam perpustakaan aplikasi)
4 | Special files (usually found in /dev)
5 | File formats and conventions, e.g. /etc/passwd
6 | Permainan
7 | Miscellaneous (including macro packages and conventions), e.g. man(7), groff(7), man-pages(7)
8 | Perintah administrasi sistem (biasanya hanya untuk root)
9 | Rutinitas kernel [Bukan standar]

Sebuah halaman buku panduan terdiri dari beberapa bagian.

Conventional section names include NAME, SYNOPSIS, CONFIGURATION, DESCRIPTION, OPTIONS, EXIT STATUS, RETURN VALUE, ERRORS, ENVIRONMENT, FILES, VERSIONS, STANDARDS, NOTES, BUGS, EXAMPLE, AUTHORS, and SEE ALSO.

Konvensi berikut juga berlaku ke bagian RINGKASAN dan dapat digunakan sebagai panduan dalam daerah lain.

bold text | ketik tepat seperti yang terlihat.
italic text | ganti dengan argumen yang sesuai.
[-abc] | apapun atau seluruh argumen didalam [ ] adalah opsional.
-a|-b | pilihan dipisahkan oleh | tidak dapat digunakan bersama.
argument .. | argumen adalah dapat diulang.
[expression] ... | seluruh ekspresi didalam [ ] adalah dapat diulang.

Merender secara tepat mungkin akan berbeda tergantung dari perangkat keluaran. Sebagai contoh, man biasanya tidak dapat merender italics ketika berjalan dalam sebuah terminal, dan biasanya menggunakan garis bawah atau teks berwarna.

Perintah atau ilustrasi fungsi adalah sebuah pola yang seharusnya cocok dengan seluruh kemungkinan pemanggilan. Dalam beberapa kasus ini dapat disarankan untuk mengilustrasikan beberapa pemanggilan eksklusif seperti terlihat dalam bagian RINGKASAN dari halaman buku panduan ini.

CONTOH

man ls
    Tampilkan halaman buku panduan untuk (aplikasi) item ls.

man man.7
    Display the manual page for macro package man from section 7. (This is an alternative spelling of "man 7 man".)

man 'man(7)'
    Display the manual page for macro package man from section 7. (This is another alternative spelling of "man 7 man". It may be more convenient when copying and pasting cross-references to manual pages. Note that the parentheses must normally be quoted to protect them from the shell.)

man -a intro
    Tampilkan, dalam suksesi, seluruh dari intro halaman buku panduan yang tersedia yang berada dalam buku panduan. Jika memungkinkan berhenti diantara penampilan atau lewati beberapa dari itu.

man -t bash | lpr -Pps
    Format the manual page for bash into the default troff or groff format and pipe it to the printer named ps. The default output for groff is usually PostScript. man --help should advise as to which processor is bound to the -t option.

man -l -Tdvi ./foo.1x.gz > ./foo.1x.dvi
    This command will decompress and format the nroff source manual page ./foo.1x.gz into a device independent (dvi) file. The redirection is necessary as the -T flag causes output to be directed to stdout with no pager. The output could be viewed with a program such as xdvi or further processed into PostScript using a program such as dvips.

man -k printf
    Cari deskripsi singkat dan nama halaman buku panduan untuk kata kunci printf seperti ekspresi umum. Cetak semua kecocokan. Sama dengan apropos printf.

man -f smail
    Cari halaman buku panduan direferensikan oleh smail dan tampilkan deskripsi singkat dari apapun yang ditemukan. Sama dengan whatis smail.

OVERVIEW
Banyak pilihan tersedia ke %man dengan tujuan untuk memberikan lebih banyak fleksibilitas sebanyak mungkin ke pengguna. Perubahan dapat dibuat di jalur pencarian, bagian pengurutan, prosesor keluaran, dan perilaku lain dan operasi detail dibawah.

If set, various environment variables are interrogated to determine the operation of man. It is possible to set the "catch-all" variable $MANOPT to any string in command line format, with the exception that any spaces used as part of an option's argument must be escaped (preceded by a backslash). man will parse $MANOPT prior to parsing its own command line. Those options requiring an argument will be overridden by the same options found on the command line. To reset all of the options set in $MANOPT, -D can be specified as the initial command line option. This will allow man to "forget" about the options specified in $MANOPT, although they must still have been valid.

Manual pages are normally stored in nroff(1) format under a directory such as /usr/share/man. In some installations, there may also be preformatted cat pages to improve performance. See manpath(5) for details of where these files are stored.

This package supports manual pages in multiple languages, controlled by your locale. If your system did not set this up for you automatically, then you may need to set $LC_MESSAGES, $LANG, or another system-dependent environment variable to indicate your preferred locale, usually specified in the POSIX format:

<language>[_<territory>[.<set karakter>[,<versi>]]]

Jika halaman yang diiginkan tersedia dalam local anda, ini akan ditampilkan seketika dari halaman (biasanya Bahasa Inggris Amerika) standar.

If you find that the translations supplied with this package are not available in your native language and you would like to supply them, please contact the maintainer who will be coordinating such activity.

Individual manual pages are normally written and maintained by the maintainers of the program, function, or other topic that they document, and are not included with this package. If you find that a manual page is missing or inadequate, please report that to the maintainers of the package in question.

Untuk informasi mengenai featur lain dan ekstensi yang tersedia dengan halaman buku panduan, mohon baca dokumen diberikan dengan paket.

BAKU
The order of sections to search may be overridden by the environment variable $MANSECT or by the SECTION directive in /etc/manpath.config. By default it is as follows:

    1 n l 8 3 0 2 3type 3posix 3pm 3perl 3am 5 4 9 6 7

The formatted manual page is displayed using a pager. This can be specified in a number of ways, or else will fall back to a default (see option -P for details).

The filters are deciphered by a number of means. Firstly, the command line option -p or the environment variable $MANROFFSEQ is interrogated. If -p was not used and the environment variable was not set, the initial line of the nroff file is parsed for a preprocessor string. To contain a valid preprocessor string, the first line must resemble

'\" <string>

dimana string dapat berupa kombinasi apapun dari kata dideskripsikan oleh pilihan -p dibawah.

Jika tidak ada dari metode diatas menyediakan informasi penyaring apapun, sebuah set baku digunakan.

Sebuah formating pipeli dibentuk dari filter dan penformat utama (nroff atau [tg]roff dengan -t) dan dijalankan. Secara alternatif, jika sebuah aplikasi executable mandb_nfmt (atau mandb_tfmt dengan -t) ada dalam akar pohon man, ini lebih baik dijalankan. Ini dilewatkan ke berkas sumber buku panduan, string preprosesor, dan secara opsional perangkat yang dispesifikasikan dengan -T atau -E sebagai arguments.

PILIHAN
Non-argument options that are duplicated either on the command line, in $MANOPT, or both, are not harmful. For options that require an argument, each duplication will override the previous argument value.

  Pilihan umum

-C berkas, --config-file=berkas
    Use this user configuration file rather than the default of ~/.manpath.

-d, --debug
    Tampilkan informasi penelusuran.

-D, --default
    Pilihan ini secara normal diisukan sebagai pilihan paling pertama dan mereset man perilaku ke bakunya. Ini digunakan untuk mereset pilihan tersebut yang mungkin telah diset dalam $MANOPT. Pilihan apapun yang mengikuti -D akan memiliki efek biasanya

--warnings[=warnings]
    Enable warnings from groff. This may be used to perform sanity checks on the source text of manual pages. warnings is a comma-separated list of warning names; if it is not supplied, the default is "mac". To disable a groff warning, prefix it with "!": for example, --warnings=mac,!break enables warnings in the "mac" category and disables warnings in the "break" category. See the “Warnings” node in info groff for a list of available warning names.

  Mode operasi utama

-f, --whatis
    Approximately equivalent to whatis. Display a short description from the manual page, if available. See whatis(1) for details.

-k, --apropos
    Approximately equivalent to apropos. Search the short manual page descriptions for keywords and display any matches. See apropos(1) for details.

-K, --global-apropos
    Cari teks dalam seluruh halaman manual. Ini adalah pencarian secara paksa, dan biasanya memerlukan waktu cukup lama; jika anda dapat, anda seharusnya menspesifikasikan sebuah bagian untuk mengurangi jumlah dari halam yang akan dicari. Kata pencarian mungkin dapat berupa kata sederhana (baku), atau ekspresi umum jika opsi --regex digunakan.

    Note that this searches the sources of the manual pages, not the rendered text, and so may include false positives due to things like comments in source files, or false negatives due to things like hyphens being written as "\-" in source files. Searching the rendered text would be much slower.

-l, --local-file
    Activate "local" mode. Format and display local manual files instead of searching through the system's manual collection. Each manual page argument will be interpreted as an nroff source file in the correct format. No cat file is produced. If '-' is listed as one of the arguments, input will be taken from stdin.

    If this option is not used, then man will also fall back to interpreting manual page arguments as local file names if the argument contains a "/" character, since that is a good indication that the argument refers to a path on the file system.

-w, --where, --path, --location
    Don't actually display the manual page, but do print the location of the source nroff file that would be formatted. If the -a option is also used, then print the locations of all source files that match the search criteria.

-W, --where-cat, --location-cat
    Don't actually display the manual page, but do print the location of the preformatted cat file that would be displayed. If the -a option is also used, then print the locations of all preformatted cat files that match the search criteria.

    If -w and -W are both used, then print both source file and cat file separated by a space. If all of -w, -W, and -a are used, then do this for each possible match.

-c, --catman
    Pilihan in tidak untuk penggunaan umum dan seharusnya hanya digunakan oleh aplikasi catman.

-R pengkodean, --recode=pengkodean
    Daripada memformat halaman buku panduan dalam cara biasa, keluarkan sumbernya yang akand diubah ke pengkodean yang telah dispesifikasikan. Jika anda telah tahu pengkodean dari berkas sumber, anda juga dapat menggunakan manconv(1) secara langsung. Akan tetapi, pilihan ini mengijinkan anda untuk mengubah beberapa halaman buku panduan ke sebuah pengkodean tunggal tanpa harus menyatakan secara eksplisit keadaan dari setiap pengkodean, dengan kondisi bahwa mereka telah terpasang dalam sebuah struktur yang sama ke sebuah struktur halaman buku panduan.

    Consider using man-recode(1) instead for converting multiple manual pages, since it has an interface designed for bulk conversion and so can be much faster.

  Mencari halaman buku panduan

-L lokal, --locale=lokal
    man akan secara normal menentukan lokal anda sekarang dengan sebuah panggilan ke fungsi setlocale(3) yang menanyakan berbagai variabel lingkungan, kemungkinan termasuk $LC_MESSAGES dan $LANG. Untuk memaksa sementara ke nilai yang telah ditentukan, gunakan pilihan ini untuk mensuplai sebuah string lokal secara langsung ke man. Catat bahwa itu tidak akan berpengaruh sampai pencarian untuk halaman benar benar dimulai. Pesan bantuan akan selalu ditampilkan dalam lokal yang ditentukan diawal.

-m sistem[,...], --systems=sistem[,...]
    If this system has access to other operating systems' manual pages, they can be accessed using this option. To search for a manual page from NewOS's manual page collection, use the option -m NewOS.

    sistem yang dispesifikasikan dapat berupa sebuah kombinasi dari nama sistem operasi dipisahkan oleh koma. Untuk memasukan sebuah pencarian dari halaman buku panduan sistem operasi lkal, masukan nama sistem man dalam string argumen. Pilihan ini akan mengesampingkan variabel lingkungan $SYSTEM.

-M jalur, --manpath=jalur
    Spesifikasikan sebuah jalur man alternatif untuk digunakan. Secara baku, man menggunakan manpath kode turunan untuk menentukan jalur pencarian. Pilihan ini mengesampingkan variabel lingkungan $MANPATH dan dapat menyebabkan pilihan -m untuk diabaikan.

    Sebuah jalur dispesifikasikan sebagai sebuah jalur buku panduan harus berupa akar dari struktur halaman buku panduan terstruktur dalam daerah seperti dijelaskan dalam buku panduan man-db (dibawah "Halaman buku panduan sistem"). Untuk melihat halaman buku panduan diluar dari struktur seperti itu, lihat pilihan -l.

-S list, -s list, --sections=list
    The given list is a colon- or comma-separated list of sections, used to determine which manual sections to search and in what order. This option overrides the $MANSECT environment variable. (The -s spelling is for compatibility with System V.)

-e sub-ekstensi, --extension=sub-extension
    Some systems incorporate large packages of manual pages, such as those that accompany the Tcl package, into the main manual page hierarchy. To get around the problem of having two manual pages with the same name such as exit(3), the Tcl pages were usually all assigned to section l. As this is unfortunate, it is now possible to put the pages in the correct section, and to assign a specific "extension" to them, in this case, exit(3tcl). Under normal operation, man will display exit(3) in preference to exit(3tcl). To negotiate this situation and to avoid having to know which section the page you require resides in, it is now possible to give man a sub-extension string indicating which package the page must belong to. Using the above example, supplying the option -e tcl to man will restrict the search to pages having an extension of *tcl.

-i, --ignore-case
    Abaikan besar huruf ketika mencari untuk halaman buku panduan. Ini adalah baku.

-I, --match-case
    Cari untuk halaman buku panduan dengan mempertimbangkan besar huruf.

--regex
    Tampilkan seluruh halaman dengan bagian apapun baik namanya atau deskripsinya yang cocok dengan setiap argumen halaman sebagai sebuah ekspresi umum, sama seperti dengan apropos(1). Karena disana biasanya tidak ada cara yang masuk akal untuk memilih sebuah halaman "terbaik" ketika mencari untuk sebuah ekspresi umum, pilihan ini mengimplikasi -a.

--wildcard
    Tampilkan seluruh halaman dengan bagian apapun baik dari namanya atau deskripsinya yang cocok untuk setiap argumen halaman menggunakan karakter bebas gaya shell, sama seperti apropos(1) --wildcard. Argumen halaman harus cocok dengan seluruh nama dan deskripsi, atau cocok di batas kata dalam deskripsi. Karena disana biasanya tidak ada cara yang masuk akal untuk mengambil sebuah halaman "terbaik" ketika mencari untuk sebuah karakter bebas, pilihan ini mengimplikasikan --a.

--names-only
    Jika pilihan --regex atau --wildcard digunakan, hanya cocok nama halaman, bukan deskripsi halaman, sama dengan whatis(1). Jika tidak, tidak ada efek.

-a, --all
    Secara baku, man akan keluar setelah menampilkan halaman buku panduan paling sesuai dari yang ditemukan. Menggunakan pilihan ini memaksa man untuk menampilkan seluruh halaman buku panduan dengan nama yang cocok dengan kriteria pencarian.

-u, --update
    This option causes man to update its database caches of installed manual pages. This is only needed in rare situations, and it is normally better to run mandb(8) instead.

--no-subpages
    Secara baku, man akan mencoba menginterpretasikan pasangan dari nama halaman manual yang diberikan di baris perintah sama dengan sebuah halaman manual tunggal berisi sebuah hyphen. Ini didukung dengan pola sama dari aplikasi yang mengimplementasikan jumlah dari perintah bawah, mengijinkannya untuk menyediakan halaman manual yang dapat diakses menggunakan sintaks serupa seperti yang digunakan untuk menjalankan perintah bawah itu sendiri. Sebagai contoh:

      $ man -aw git diff
      /usr/share/man/man1/git-diff.1.gz

    Untuk menonaktifkan perilaku ini, gunakan pilihan --no-subpages.

      $ man -aw --no-subpages git diff
      /usr/share/man/man1/git.1.gz
      /usr/share/man/man3/Git.3pm.gz
      /usr/share/man/man1/diff.1.gz

  Mengotronl keluaran terformat

-P pager, --pager=pager
    Specify which output pager to use. By default, man uses pager, falling back to cat if pager is not found or is not executable. This option overrides the $MANPAGER environment variable, which in turn overrides the $PAGER environment variable. It is not used in conjunction with -f or -k.

    The value may be a simple command name or a command with arguments, and may use shell quoting (backslashes, single quotes, or double quotes). It may not use pipes to connect multiple commands; if you need that, use a wrapper script, which may take the file to display either as an argument or on standard input.

-r prompt, --prompt=prompt
    Jika sebuah versi baru dari less digunakan sebagai sebuah pager, man akan mencoba untuk menset promptnya dan beberapa pilihan. Prompt baku akan tampak

    Halaman buku panduan nama(sec) baris x

    dimana nama menyatakan nama halaman buku panduan, sec menyatakan bagian itu yang ditemukan dibawah dan x nomor baris sekarang. Ini dicapai dengan menggunakan variabel lingkungan $LESS.

    Supplying -r with a string will override this default. The string may contain the text $MAN_PN which will be expanded to the name of the current manual page and its section name surrounded by "(" and ")". The string used to produce the default could be expressed as

    \ Manual\ page\ \$MAN_PN\ ?ltline\ %lt?L/%L.:
    byte\ %bB?s/%s..?\ (AKHIR):?pB\ %pB\\%..
    (press h for help or q to quit)

    Ini terpecah kedalam dua baris disini untuk memudahkan pembacaan saja. Untuk artinya lihat halaman buku panduan less(1). Prompt string pertama dievaluasi oleh shell. Semua double quotes, back-quotes dan backslashes dalam prompt harus diberi karakter untuk keluar dengan sebuah awalan backslash. Prompt string mungkin berakhir dalam sebuah karakter untuk keluar $ yang mungkin diikuti oleh pilihan selanjutnya untuk less. Secara baku man menset pilihan -ix8.

    The $MANLESS environment variable described below may be used to set a default prompt string if none is supplied on the command line.

-7, --ascii
    Ketika melihat sebuah halaman buku panduan murni ascii(7) dalam sebuah terminal 7 bit atau terminal emulator, beberapa karakter mungkin tidak tampil secara benar ketika menggunakan latin1(7) perangkat deskripsi dengan GNU nroff. Pilihan ini mengijinkan halaman buku panduan murni ascii ditampilkan dalam ascii dengan perangkat latin1. Ini tidak akan menerjemahkan teks latin1 apapun. Tabel berikut menampilkan penerjemahan yang dilakukan: beberapa bagian dari itu mungkin hanya ditampilkan secara benar ketika menggunakan perangkat GNU nroff latin1(7).

    Description | Octal | latin1 | ascii
    kelanjutan hyphen | 255 |  | -
    bullet (tengah titik) | 267 | • | o
    acute accent | 264 | ´ | '
    perkalian tanda | 327 | × | x

    jika kolom latin1 tampil secara benar, terminal anda mungkin dikonfigurasi untuk karakter latin1 dan pilihan ini tidak diperlukan. Jika latin1 dan ascii kolom identik, anda membaca halaman ini menggunakan pilihan ini atau man tidak memformat halaman ini menggunakan deskripsi perangkat latin1. Jika latin1 kolom hilang atau terkorupsi, anda mungkin butuh untuk melihat halaman buku panduan dengan pilihan ini.

    Pilihan ini diabaikan ketika menggunakan pilihan -t, -H, -T, atau -Z dan mungkin tidak berguna untuk nroff selain dari GNU's.

-E pengkodean, --encoding=pengkodean
    Hasilkan keluaran untuk sebuah pengkodean karakter selain dari baku. Untuk kompabilitas kebelakang, pengkodean mungkin sebuah perangkat nroff seperti ascii, latin1, atau utf8 baik juga sebuah pengkodean karakter benar seperti UTF-8.

--no-hyphenation, --nh
    Secara normal, nroff akan secara otomatis hyphenate teks di potongan baris baik dalam kata yang tidak berisi hyphen, jika tidak dibutuhkan jadi untuk meletakan kata disebuah baris tanpa ruang yang berlebihan. Pilihan ini menonaktifkan otomatis hyphenation, jadi kata hanya dihyphenated jika mereka telah berisi hyphens.

    Jika anda menulis sebuah halaman buku panduan dan hanya ingin menjaga nroff dari hyphenating sebuah kata di titik yang tidak sesuai, jangan gunakan pilihan ini, tetapi lebih baik konsultasikan ke dokumentasi nroff; sebagai contoh, anda dapat meletakan "\%" didalam sebuah kata untuk mengindikasikan bahwa itu mungkin dihyphenasi di titik itu, atau meletakan "\%" diawal dari sebuah kata untuk menjaga itu dari hyphenasi.

--no-justification, --nj
    Normally, nroff will automatically justify text to both margins. This option disables full justification, leaving justified only to the left margin, sometimes called "ragged-right" text.

    Jika anda menulis sebuah halaman buku panduan dan hanya ingin menjaga nroff dari hyphenating sebuah kata di titik yang tidak sesuai, jangan gunakan pilihan ini, tetapi lebih baik konsultasikan ke dokumentasi nroff; sebagai contoh, anda dapat meletakan "\%" didalam sebuah kata untuk mengindikasikan bahwa itu mungkin dihyphenasi di titik itu, atau meletakan "\%" diawal dari sebuah kata untuk menjaga itu dari hyphenasi.

-p string, --preprocessor=string
    Spesifikasikan urutan dari preprosesor untuk dijalankan sebelum nroff atau troff/groff. Tidak seluruh instalasi akan memiliki full set dari preprosesor. Beberapa preprosesor dan huruf digunakan untuk menggunakannya adalah: eqn (e), grap (g), pic (p), tbl (t), vgrind (v), refer (r). Pilihan ini mengesampingkan variabel lingkungan $MANROFFSEQ. zsoelim selalu berjalan sebagai preproses pertaman.

-t, --troff
    Gunakan groff -mandoc untuk memformat halaman buku panduan ke stdout. Pilihan ini tidak dibutuhkan dalam konjungsi dengan -H, -T, atau -Z.

-T[device], --troff-device[=device]
    This option is used to change groff (or possibly troff's) output to be suitable for a device other than the default. It implies -t. Examples (as of groff 1.23.0) include dvi, latin1, pdf, ps, utf8, X75 and X100.

-H[browser], --html[=browser]
    Pilihan ini akan menyebabkan groff untuk menghasilkan keluaran HTML, dan akan menampilkan keluaran disebuah web browser. Pilihan dari browser ditentukan oleh opsional argumen broser jika disediakan, oleh variabel lingkungan $BROWSER, atau diwaktu kompilasi baku jika itu tidak diset (biasanya lynx). Pilihan ini mengindikasikan -t, dan hanya akan bekerja dengan GNU troff.

-X[dpi], --gxditview[=dpi]
    Pilihan ini menampilkan keluaran dari groff dalam sebuah jendela graphis menggunakan aplikasi gxditview. dpi (titik per inchi) mungkin berupa 75, 75-12, 100, atau 100-12, baku ke 75; -12 variant menggunakan sebuah font dasar 12-titik. Pilihan ini mengimplikasikan -T dengan X75, X75-12, X100 atau X100-12 perangkat.

-Z, --ditroff
    groff akan menjalankan troff dan kemudian menggunakan sebuah post prosesor yang sesuai untuk menghasilkan perangkat yang dipilih. Jika groff -mandoc adalah groff, pilihan ini akan dilewatkan ke groff dan akan menekan penggunaan dari sebuah post-prosesor. Ini mengimplikasikan -t.

  Mendapatkan bantuan

-?, --help
    Tampilkan sebuah pesan bantuan dan keluar.

--usage
    Tampilkan sebuah pesan bantuan dan keluar.

-V, --version
    Tampilkan informasi versi.

STATUS KELUAR

0   Eksekusi aplikasi sukses.

1   Penggunaan, sintaks atau berkas konfigurasi error.

2   Operasional error.

3   Sebuah proses anak mengembalikan sebuah status kembali tidak nol.

16  Paling tidak satu dari halaman/berkas/kata kunci tidak ada atau tidak cocok.

LINGKUNGAN

MANPATH
    Jika $MANPATH diset, nilainya digunakan sebagai jalur pencarian untuk halaman buku panduan.

    See the SEARCH PATH section of manpath(5) for the default behaviour and details of how this environment variable is handled.

MANROFFOPT
    Every time man invokes the formatter (nroff, troff, or groff), it adds the contents of $MANROFFOPT to the formatter's command line.

    For example, MANROFFOPT=-P-i tells the formatter to use italic text (which is only supported by some terminals) rather than underlined text.

MANROFFSEQ
    Jika $MANROFFSEQ diset, nilainya digunakan untuk menetukan set dari preprosesor untuk dilewatkan ke setiap halaman buku panduan. Daftar baku preprosesor adalah tergantung dari sistem.

MANSECT
    Jika $MANSECT diset, nilainya adalah sebuah daftar dipisahkan oleh kolon dari bagian dan ini digunakan untuk menentukan bagian buku panduan mana untuk dicari dan dalam urutan apa.

MANPAGER, PAGER
    If $MANPAGER or $PAGER is set ($MANPAGER is used in preference), its value is used as the name of the program used to display the manual page. By default, pager is used, falling back to cat if pager is not found or is not executable.

    The value may be a simple command name or a command with arguments, and may use shell quoting (backslashes, single quotes, or double quotes). It may not use pipes to connect multiple commands; if you need that, use a wrapper script, which may take the file to display either as an argument or on standard input.

MANLESS
    Jika $MANLESS diset, man tidak akan melakukan pemrosesan biasa untuk mengkonfigurasi prompt string untuk pager less. Sebaliknya, nilai dari $MANLESS akan disalinkan satu persatu kedalam $LESS. Sebagai contoh, jika anda ingin menset prompt string secara tidak kondisional ke “my prompt string”, set $MANLESS ke ‘-Psmy prompt string’.

BROWSER
    Jika $BROWSER diset, nilai itu adalah daftar dipisahkan kolon dari perintah, setiap perintah itu digunakan untuk mencoba menjalankan sebuah web browser untuk man --html. Dalam setiap perintah, %s digantikan oleh sebuah nama berkas berisi keluaran HTML dari groff, %% digantikan oleh sebuah tanda persen tunggal (%) dan %c digantikan oleh sebuah kolon (:).

SYSTEM
    Jika $SYSTEM telah diset, ini akan memiliki efek sama seperti jika ini telah dispesifikasikan sebagai argumen ke pilihan -m.

MANOPT
    If $MANOPT is set, it will be parsed prior to man's command line and is expected to be in a similar format. As all of the other man specific environment variables can be expressed as command line options, and are thus candidates for being included in $MANOPT it is expected that they will become obsolete. N.B. All spaces that should be interpreted as part of an option's argument must be escaped.

MANWIDTH
    If $MANWIDTH is set, its value is used as the line length for which manual pages should be formatted. If it is not set, manual pages will be formatted with a line length appropriate to the current terminal (using the value of $COLUMNS, and ioctl(2) if available, or falling back to 80 characters if neither is available). Cat pages will only be saved when the default formatting can be used, that is when the terminal line length is between 66 and 80 characters.

MAN_KEEP_FORMATTING
    Biasanya, ketika keluaran tidak sedang diarahkan ke sebuah terminal (seperti ke sebuah berkas atau sebuah pipe), pemformatan karakter diabaikan untuk mempermudah pembacaan tanpa perangkat spesial. Akan tetapi, jika $MAN_KEEP_FORMATTING diset ke nilai tidak kosong apapun, pemformatan karakter ini dijaga. Ini mungkin berguna untuk memperbaiki man yang dapat diinterpretasikan pemformatan karakter.

MAN_KEEP_STDERR
    Secara normal, ketika keluaran telah diarahkan ke sebuah terminal (biasanya sebuah pager), keluaran error apapun dari perintah digunakan untuk menghasilkan versi tercetak dari halaman buku panduan diabaikan untuk menghindari interferensi dari penampilan pager. Aplikasi seperti groff sering menghasilkan pesan error minor mengenai masalah typographical seperti kesalahan alignmen, yang tidak terlihat dan secara umum membingungkan ketika ditampilkan dengan halaman buku panduan. Akan tetapi, beberapa pengguna tetap ingin melihat itu, jadi, jika $MAN_KEEP_STDERR diset untuk nilai apapun yang tidak kosong, keluaran error akan ditampilkan seperti biasa.

MAN_DISABLE_SECCOMP
    On Linux, man normally confines subprocesses that handle untrusted data using a seccomp(2) sandbox. This makes it safer to run complex parsing code over arbitrary manual pages. If this goes wrong for some reason unrelated to the content of the page being displayed, you can set $MAN_DISABLE_SECCOMP to any non-empty value to disable the sandbox.

PIPELINE_DEBUG
    If the $PIPELINE_DEBUG environment variable is set to "1", then man will print debugging messages to standard error describing each subprocess it runs.

LANG, LC_MESSAGES
    Tergantung dari sistem dan implementasi, baik atau kedua dari $LANG dan $LC_MESSAGESS akan diintergasi untuk pesan lokal sekarang. man akan menampilkan pesannya dalam lokal tersebut (jika tersedia). Lihat setlocale(3) untuk detail lebih tepatnya.

BERKAS

/etc/manpath.config
    berkas konfigurasi man-db.

/usr/share/man
    Sebuah hierarki halaman buku panduan global.

STANDARDS
POSIX.1-2001, POSIX.1-2008, POSIX.1-2017.

LIHAT JUGA
apropos(1), groff(1), less(1), manpath(1), nroff(1), troff(1), whatis(1), zsoelim(1), manpath(5), man(7), catman(8), mandb(8)

Documentation for some packages may be available in other formats, such as info(1) or HTML.

SEJARAH
1990, 1991 – Originally written by John W. Eaton (jwe@che.utexas.edu).

Dec 23 1992: Rik Faith (faith@cs.unc.edu) perbaikan bug diberikan oleh Willem Kasdorp (wkasdo@nikhefk.nikef.nl).

30th April 1994 – 23rd February 2000: Wilf. (G.Wilford@ee.surrey.ac.uk) has been developing and maintaining this package with the help of a few dedicated people.

30th October 1996 – 30th March 2001: Fabrizio Polacco <fpolacco@debian.org> maintained and enhanced this package for the Debian project, with the help of all the community.

31st March 2001 – present day: Colin Watson <cjwatson@debian.org> is now developing and maintaining man-db.

BUGS
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db